PlanDocket

Benutzerdefinierte Felder

Business+

Verwalten Sie benutzerdefinierte Feldwerte.

Erforderliche Bereiche: custom_fields

Endpunkte

GET /api/v1/custom-fields/definitions

Alle benutzerdefinierten Felder auflisten

GET /api/v1/custom-fields/{entity_type}/{entity_id}

Feldwerte für Entität abrufen

PUT /api/v1/custom-fields/{entity_type}/{entity_id}

Feldwerte aktualisieren

Abfrageparameter

Parameter Beschreibung
entity_type Definitionen nach Entitätstyp filtern
is_active Definitionen nach Aktivstatus filtern (0 oder 1)

Request-Schema

Parameter Typ Erforderlich Beschreibung
{field_key} mixed Nein Wert für das benutzerdefinierte Feld, identifiziert durch den Feldschlüssel. Der Typ hängt vom Feldtyp ab (Text, Zahl, Datum usw.).

Response-Schema

Feld Typ
id integer
form_id integer|null
entity_type string
field_key string
field_label string
field_type string
section_key string|null
field_options string|null
validation_rules string|null
is_required boolean
is_searchable boolean
applicant_visibility string
is_active boolean
display_order integer

Codebeispiele

curl -X GET "https://your-tenant.plandocket.com/api/v1/custom-fields" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/custom-fields',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
        'Content-Type: application/json',
    ],
]);

$response = curl_exec($ch);
$data = json_decode($response, true);
curl_close($ch);

print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/custom-fields`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
    'Content-Type': 'application/json',
}

response = requests.get(f'{base_url}/api/v1/custom-fields', headers=headers)
data = response.json()
print(data)

Beispiel-Antwort

200 OK
{
  "data": {
    "custom-field_id": 1,
    "created_at": 1704067200,
    "updated_at": 1704067200
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
API Version v1.0
Esc zum Schließen